Subject: RE: Postgresql 6. 5 cygwin ports available ?
From: "Christian Jullien" <[email-masked]>
To: "Joost Kraaijeveld" <[email-masked]>
Cc: "Cygwin@Sourceware. Cygnus. Com (E-mail)" <[email-masked]>
Date: Fri, 18 Jun 1999 14:32:48 +0200

My goal is to have the port has easy as:

	bash$ sh configure
	bash$ make
	bash$ make install

That's what I consider 'right out of the box'.

If you share this goal with me I'm ready to spent time checking it finaly
work more easily than now.

Where are we ?

1) Prerequisit: Postgresql requires cygwin32_ipc-1.03.tar.gz
   ./configure should test that this package is already installed, otherwise
it
   complains that gcc is not able to produce executable!!

2) sh configure complains that backend/port/tas/dummy.s cannot be linked to
tas.s
   that's right it does not exist. I write my own dummy.s as :

/===========================================================================
==
   / tas.s -- test and set lock for cygwin

/===========================================================================
==

        .file   "tas.s"
        .text
        .align  16
        .globl  tas
   tas:
        ret                     /return

   Am I right ?

3) check that MAKE_MODE is set to UNIX otherwise 'if' shell command will try
to
   execute cmd.exe but not /bin/sh 'if' shell.

   bash$ export MAKE_MODE=UNIX

4) inform the user to change or check Makefile.global to reflect its current
   installation. For example; my system didn't defined /sw directory for
bison files

5) call the build process using 'make'
   This one hangs after fews minutes after try to find libcrypt.a which is
not
   currently in cygwin distribution. Which one to use ?

   I give up on that point.

When you say 'All works without binairy mounts', does it means _right now_
or is it already done in 6.5 distribution ?

Eligis: Christian Jullien (OOP consultant)
10, RUE REJANE - 95120 ERMONT (France)
[email-masked] - +33 130.72.98.20

> -----Original Message-----
> All works without binairy mounts.
>
> Joost Kraaijeveld
> Askesis B.V.
> Groenewoudseweg 46
> 6524VB Nijmegen
> tel: 024-3888063 / 06-51855277
> fax: 024-3608416
> email: [email-masked]
> web: www.askesis.nl
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]